PKG-VERSION(8)

NAME
pkg version - summarize installed versions of packages

SYNOPSIS
pkg version [-hIoqv] [-l limchar] [-L limchar] [-Xxge pattern] [-O origin] [index]
pkg version -t version1
pkg version -T <pkgname> <pattern>

DESCRIPTION
pkg version is used for generating a report of packages installed by pkg(8).

< To be completed >

OPTIONS
The following options are supported by pkg version:

-h  Displays usage information

-I  Use INDEX file for determining if a package is out of date

-o  Display package origin, instead of package name.

-q  Be quiet. Less output will be produced.

-v  Be verbose.

-l limchar
    Display only the packages which status flag matches the one specified by limchar

-L limchar
    Does the opposite of -l flag. Displays the packages which status flag does not match the one specified by limchar

-X pattern
    Only display the packages that match the extended regular expression.

-x pattern
    Only display the packages that match the regular expression.

-g pattern
    Only display the packages that match the glob expression.

-g string
    Only display the packages that exactly match the string.

-O origin
    Display only the packages which origin matches origin

-t <version1> <version2>
    < To be added >

-T <pkgname> <pattern>
    Compare <pkgname> against shell glob <pattern> and set exit code accordingly. -T can also be used in `filter mode': When one of the arguments is `-', standard input is used, and lines with matching package names/patterns are echoed to standard output.

ENVIRONMENT
The following environment variables affect the execution of pkg version. See pkg.conf(5) for further description.

PKG_DBDIR

PORTSDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-which(8), pkg.conf(5)